struc   ConfigurationSector

; Bootmanager Identification values (6 bytes).
        .Signature                      resw    1
        .SerialNumber                   resw    1
        .Size                           resw    1

        .Reserved                       resb    472

; Color configuration values (13 bytes).
        .ColorTitle                     resb    1
        .ColorSubTitle                  resb    1
        .ColorWindowTitle               resb    1
        .ColorColumnTitle               resb    1
        .ColorBackground                resb    1
        .ColorNonFixedText              resb    1
        .ColorFixedText                 resb    1
        .ColorEditText                  resb    1
        .ColorHighlightedText           resb    1
        .ColorStatusText                resb    1
        .ColorStatusLine                resb    1
        .ColorBorder                    resb    1
        .ColorKeys                      resb    1

; Security Password Table values (6 bytes).
        .NumberOfPasswords:             resw    1
        .PasswordTable_Location:        resd    1

; Other configuration values (15 bytes).
        .SortBootMenuAlphabetic:        resb    1
        .DefaultChooseLastBooted:       resb    1
        .DefaultChooseLastBooted_BootMenuID:    resw    1
        .BootmanagerBeepWhenReady:      resb    1
        .BootmanagerVideoMode:          resb    1
        .EnableEnhancedGraphics:        resb    1
        .BootMenuOrder:                 resb    1
        .DefaultPartition:              resb    1
        .DefaultPartition_BootMenuID:   resw    1
        .ShowExtendedPartitions:        resb    1
        .Timeout:                       resb    1
        .ScreensaverTimeout:            resb    1

endstruc


CHS_Address:            equ     00100000000000000b
LBA_Address:            equ     01000000000000000b

PartitionInstallation:  equ     00000000000000001b
BIFSInstallation:       equ     00000000000000010b
BIPInstallation:        equ     00000000000000100b
RawInstallation:        equ     00000000000001000b

Success:                equ     080h
Failure:                equ     000h

BootloaderOnly:         equ     001h
BootloaderPartitions:   equ     002h
PartitionsBootloader:   equ     003h
PartitionsOnly:         equ     004h

