@ECHO OFF

IF NOT "%1"=="" GOTO SPECIFIC

ECHO.
ECHO Compiling various boot sectors:
ECHO -------------------------------

ECHO  1. MS-DOS Stub...
NASM -f obj SRC\OTHER\MS-DOS.ASO -o OBJECTS\MS-DOS.O

ECHO  2. Redirecting MBR...
NASM -f obj SRC\BOOTSECT\REDIRECT.ASO -o OBJECTS\REDIRECT.O

ECHO  3. Raw installation method boot sector...
NASM -f obj SRC\BOOTSECT\RAW_BS.ASO -o OBJECTS\RAW_BS.O

ECHO  4. Partition installation method MBR...
NASM -f obj SRC\BOOTSECT\PART_MBR.ASO -o OBJECTS\PART_MBR.O

rem ECHO  5. BIFS installation method MBR/BS...

rem ECHO  6. BIP installation method MBR/BS...

ECHO.
ECHO Compiling objects for the bootmanager:
ECHO --------------------------------------

ECHO  1. Configuration area...
NASM -f obj SRC\CONFIG.ASO -o OBJECTS\CONFIG.O

ECHO  2. Program Initiation...
NASM -f obj SRC\INIT.ASO -o OBJECTS\INIT.O

ECHO  3. Main...
NASM -f obj SRC\MAINMENU.ASO -o OBJECTS\MAINMENU.O

ECHO  4. Load MBR menu...
NASM -f obj SRC\LOADMBR.ASO -o OBJECTS\LOADMBR.O

ECHO  5. Setup menu...
NASM -f obj SRC\SETUP.ASO -o OBJECTS\SETUP.O

ECHO  6. Boot Menu Setup menu...
NASM -f obj SRC\BMSETUP.ASO -o OBJECTS\BMSETUP.O

ECHO  7. Partition Setup menu...
NASM -f obj SRC\PARSETUP.ASO -o OBJECTS\PARSETUP.O

ECHO  8. Bootloader Setup menu...
NASM -f obj SRC\BLSETUP.ASO -o OBJECTS\BLSETUP.O

ECHO  9. Feature Setup menu...
NASM -f obj SRC\FEASETUP.ASO -o OBJECTS\FEASETUP.O

ECHO 10. Security Setup menu...
NASM -f obj SRC\SECSETUP.ASO -o OBJECTS\SECSETUP.O

ECHO 11. Color Setup menu...
NASM -f obj SRC\COLSETUP.ASO -o OBJECTS\COLSETUP.O

ECHO 12. Other routines...
NASM -f obj SRC\OTHER.ASO -o OBJECTS\OTHER.O

ECHO 13. Runtime variables...
NASM -f obj SRC\RUNTIME.ASO -o OBJECTS\RUNTIME.O

ECHO.
ECHO Compiling other objects:
ECHO ------------------------

ECHO  1. Installation program...
NASM -f obj SRC\OTHER\INSTALL.ASO -o OBJECTS\INSTALL.O

ECHO.

GOTO END



:SPECIFIC
IF "%1"=="b1" ECHO  1. MS-DOS Stub...
IF "%1"=="b1" NASM -f obj SRC\OTHER\MS-DOS.ASO -o OBJECTS\MS-DOS.O
IF "%1"=="b2" ECHO  2. Redirecting MBR...
IF "%1"=="b2" NASM -f obj SRC\BOOTSECT\REDIRECT.ASO -o OBJECTS\REDIRECT.O
IF "%1"=="b3" ECHO  3. Raw installation method boot sector...
IF "%1"=="b3" NASM -f obj SRC\BOOTSECT\RAW_BS.ASO -o OBJECTS\RAW_BS.O
IF "%1"=="b4" ECHO  4. Partition installation method MBR...
IF "%1"=="b4" NASM -f obj SRC\BOOTSECT\PART_MBR.ASO -o OBJECTS\PART_MBR.O
IF "%1"=="c1" ECHO  1. Configuration area...
IF "%1"=="c1" NASM -f obj SRC\CONFIG.ASO -o OBJECTS\CONFIG.O
IF "%1"=="c2" ECHO  2. Program Initiation...
IF "%1"=="c2" NASM -f obj SRC\INIT.ASO -o OBJECTS\INIT.O
IF "%1"=="c3" ECHO  3. Main...
IF "%1"=="c3" NASM -f obj SRC\MAINMENU.ASO -o OBJECTS\MAINMENU.O
IF "%1"=="c4" ECHO  4. Load MBR menu...
IF "%1"=="c4" NASM -f obj SRC\LOADMBR.ASO -o OBJECTS\LOADMBR.O
IF "%1"=="c5" ECHO  5. Setup menu...
IF "%1"=="c5" NASM -f obj SRC\SETUP.ASO -o OBJECTS\SETUP.O
IF "%1"=="c6" ECHO  6. Boot Menu Setup menu...
IF "%1"=="c6" NASM -f obj SRC\BMSETUP.ASO -o OBJECTS\BMSETUP.O
IF "%1"=="c7" ECHO  7. Partition Setup menu...
IF "%1"=="c7" NASM -f obj SRC\PARSETUP.ASO -o OBJECTS\PARSETUP.O
IF "%1"=="c8" ECHO  8. Bootloader Setup menu...
IF "%1"=="c8" NASM -f obj SRC\BLSETUP.ASO -o OBJECTS\BLSETUP.O
IF "%1"=="c9" ECHO  9. Feature Setup menu...
IF "%1"=="c9" NASM -f obj SRC\FEASETUP.ASO -o OBJECTS\FEASETUP.O
IF "%1"=="c10" ECHO  10. Security Setup menu...
IF "%1"=="c10" NASM -f obj SRC\SECSETUP.ASO -o OBJECTS\SECSETUP.O
IF "%1"=="c11" ECHO  11. Color Setup menu...
IF "%1"=="c11" NASM -f obj SRC\COLSETUP.ASO -o OBJECTS\COLSETUP.O
IF "%1"=="c12" ECHO 12. Other routines...
IF "%1"=="c12" NASM -f obj SRC\OTHER.ASO -o OBJECTS\OTHER.O
IF "%1"=="c13" ECHO 13. Runtime variables...
IF "%1"=="c13" NASM -f obj SRC\RUNTIME.ASO -o OBJECTS\RUNTIME.O
IF "%1"=="i1" ECHO  1. Installation program...
IF "%1"=="i1" NASM -f obj SRC\OTHER\INSTALL.ASO -o OBJECTS\INSTALL.O



:END
