; This file contain structures and equates for the Boot Menu Information Table.

struc   PartitionEntry
        .Name:                          resb    31
        .ActivePartition:               resb    1
        .Drive:                         resb    1
        .PrimaryPartitionCount:         resb    1
        .SecondaryPartitionCount:       resw    1
        .Reserved:                      resb    27
        .EntryType:                     resb    1
endstruc

struc   BootloaderEntry
        .Name:                          resb    31
        .ActivePartition:               resb    1
        .Drive:                         resb    1
        .PrimaryPartitionCount:         resb    1
        .SecondaryPartitionCount:       resw    1
        .File1_Id:                      resw    1
        .File1_LinearAddr:              resd    1
        .File2_Id:                      resw    1
        .File2_LinearAddr:              resd    1
        .File3_Id:                      resw    1
        .File3_LinearAddr:              resd    1
        .File4_Id:                      resw    1
        .File4_LinearAddr:              resd    1
        .SystemState:                   resw    1
        .LoaderMethod:                  resb    1
        .EntryType:                     resb    1
endstruc

BootMenuDataTable.EntrySize:            equ     32



struc   FileTable
        .FileName:                      resb    11
        .ParentID:                      resw    1
endstruc

FileTable.EntrySize:                    equ     13
