; BIOS Parameter Block for FAT16 volumes
struc   FAT16
        .JumpCode                       resb    3
        .SystemOemName                  resb    8
        .BytesPerSector                 resw    1
        .SectorsPerCluster              resb    1
        .ReservedSectors                resw    1
        .NumberOfFATs                   resb    1
        .RootEntries                    resw    1
        .TotalSectors                   resw    1
        .MediaDescriptor                resb    1
        .SectorsPerFAT                  resw    1
        .SectorsPerTrack                resw    1
        .HeadsPerCylinder               resw    1
        .HiddenSectors                  resd    1
        .BigTotalSectors                resd    1
        .DriveNumber                    resb    1
        .CurrentHead                    resb    1
        .ExtendedSignature              resb    1
        .SerialNumber                   resd    1
        .VolumeLabel                    resb    11
        .FileSystemID                   resb    8
        .Code                           resb    448
        .Signature                      resw    1
endstruc



; Structure of a plain directory entry.
struc   DirEntry
        .Name                           resb    8
        .NameExtension                  resb    3
        .Attribute                      resb    1
        .Reserved                       resb    1
        .Creation_10MS                  resb    1
        .Creation_Time                  resw    1
        .Creation_Date                  resw    1
        .LastAccess_Date                resw    1
        .StartClusterHigh               resw    1
        .LastSaved_Time                 resw    1
        .LastSaved_Date                 resw    1
        .StartClusterLow                resw    1
        .Size                           resd    1
endstruc
